Bug 826538 - Maven: Missing transitive dependencies (ER6)
Maven: Missing transitive dependencies (ER6)
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Maven (Show other bugs)
2.0.0.ER6
Unspecified Unspecified
medium Severity medium
: ---
: 2.0.0.ER8
Assigned To: Marek Novotny
Karel Piwko
:
Depends On: 820936
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 09:01 EDT by Karel Piwko
Modified: 2012-06-22 03:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 820936
Environment:
Last Closed: 2012-06-22 03:32:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Full results of Maven repository verification (1.06 MB, application/octet-stream)
2012-05-30 09:12 EDT, Karel Piwko
no flags Details

  None (edit)
Description Karel Piwko 2012-05-30 09:01:29 EDT
+++ This bug was initially created as a clone of Bug #820936 +++

Pom.xml files present in WFK Maven repository have following dependencies defined, which are not present in neither EAP Maven repository, WFK Maven repository nor Maven Central.


(new) * com.google.appengine:appengine-api:jar:1.3.5
(new) * com.google.appengine:appengine-api-labs:jar:1.3.5

(er5) * com.google.inject.extensions:guice-assistedinject:jar:3.0-redhat-1
(er5) * com.google.inject.extensions:guice-multibindings:jar:3.0-redhat-1
(er5) * com.google.inject:guice:jar:3.0-redhat-1

(new) * commons-httpclient:commons-httpclient:jar:3.1-redhat-1
(new) * commons-logging:commons-logging:jar:1.1.1-redhat-1
(new) * com.thoughtworks.xstream:xstream:jar:1.4.1-redhat-1
(new) * hsqldb:hsqldb:jar:1.8.0.10-patch-01
(new) * jboss.profiler.jvmti:jboss-profiler-jvmti:jar:1.0.0.CR5
(new) * junit:junit:jar:4.10-redhat-1
(new) * net.sourceforge.nekohtml:nekohtml:jar:1.9.14-redhat-1
(new) * org.apache.ant:ant:jar:1.8.3-redhat-1
(new) * org.jboss.aop:jboss-aop:jar:2.0.1.GA
(new) * org.jboss.cache:jbosscache-core:jar:3.2.8.GA
(new) * org.jboss.javaee:jboss-ejb-api:jar:3.0.0.GA
(new) * org.jboss.jbossts:jbossjta:jar:4.15.1.Final
(new) * org.jboss.jbossts:jbossjta:jar:4.16.2.Final-redhat-1

(er5) * org.jboss.kernel:jboss-dependency:jar:2.2.0.SP2
(er5) * org.jboss.kernel:jboss-kernel:jar:2.2.0.SP2

(new) * org.jboss.naming:jnp-client:jar:5.0.5.Final-redhat-1
(new) * org.jboss.resteasy:jaxrs-api:jar:2.3.3.Final-redhat-1
(new) * org.jboss.spec.javax.el:jboss-el-api_2.2_spec:jar:1.0.0.Final-redhat-1
(new) * org.jboss.spec.javax.transaction:jboss-transaction-api_1.1_spec:jar:1.0.0.Final-redhat-1
(new) * org.jboss.weld:weld-build-config:jar:1.1.8.Final-redhat-1
(new) * org.jfrog.jade.plugins.common:jade-plugin-common:jar:1.3.8
(new) * org.jfrog.maven.annomojo:maven-plugin-anno:jar:1.4.0
(new) * org.projectodd.stilts:stilts-stomp-client:jar:0.1.28
(new) * org.richfaces.ui:static-resources:jar:4.2.2.Final-redhat-1
(new) * org.slf4j:slf4j-simple:jar:1.6.1-redhat-1
(new) * org.testng:testng:jar:6.1.1-redhat-1

(er5) * xerces:xercesImpl:jar:2.9.1-patch-01
(er5/new) * xmlunit:xmlunit:jar:1.3-redhat-1 (has fixed version qualifier)

Fixed from ER5:

* javax.inject:javax.inject.jar:1.0-PFD-1
* javax.xml.bind:jaxb-api:jar:2.2.4-redhat-1
* org.jboss.el:jboss-el:jar:1.0_02.CR6
Comment 1 Karel Piwko 2012-05-30 09:12:23 EDT
Created attachment 587730 [details]
Full results of Maven repository verification

Attaching Jenkins consoleOutput
Comment 2 Karel Piwko 2012-05-30 09:27:50 EDT
Marek, 

this will make your live easier:


* com.google.appengine:appengine-api:jar:1.3.5
     in (org.jboss.errai:errai-bus:jar:2.0.0.Final-redhat-1,)
* com.google.appengine:appengine-api-labs:jar:1.3.5
     in (org.jboss.errai:errai-bus:jar:2.0.0.Final-redhat-1,)
* com.google.inject.extensions:guice-assistedinject:jar:3.0-redhat-1
     in (org.richfaces.cdk:generator:jar:4.2.2.Final-redhat-1,org.richfaces.cdk:maven-cdk-plugin:maven-plugin:4.2.2.Final-redhat-1,)
* com.google.inject.extensions:guice-multibindings:jar:3.0-redhat-1
     in (org.richfaces.cdk:generator:jar:4.2.2.Final-redhat-1,org.richfaces.cdk:maven-cdk-plugin:maven-plugin:4.2.2.Final-redhat-1,)
* com.google.inject:guice:jar:3.0-redhat-1
     in (org.jboss.errai:errai-bus:jar:2.0.0.Final-redhat-1,org.jboss.errai:errai-ioc:jar:2.0.0.Final-redhat-1,org.jboss.errai:errai-marshalling:jar:2.0.0.Final-redhat-1,org.richfaces.cdk:generator:jar:4.2.2.Final-redhat-1,org.richfaces.cdk:maven-cdk-plugin:maven-plugin:4.2.2.Final-redhat-1,)
* commons-httpclient:commons-httpclient:jar:3.1-redhat-1
     in (org.jboss.test-jsf:htmlunit-client:jar:1.1.2-redhat-1,org.jboss.test-jsf:jsf-test-jetty:jar:1.1.2-redhat-1,org.richfaces.ui.validator:richfaces-ui-validator-ui:jar:4.2.2.Final-redhat-1,)
* commons-logging:commons-logging:jar:1.1.1-redhat-1
     in (org.infinispan:infinispan-core:bundle:5.1.4.FINAL-redhat-1,org.infinispan:infinispan-parent:pom:5.1.4.FINAL-redhat-1,org.jboss.snowdrop:jboss-spring-deployer:pom:2.0.3.Final-redhat-1,org.jboss.snowdrop:snowdrop-deployers-core:jar:2.0.3.Final-redhat-1,org.jboss.snowdrop:snowdrop-deployers:jar:2.0.3.Final-redhat-1,org.jboss.snowdrop:snowdrop-deployers-vfs2:jar:2.0.3.Final-redhat-1,org.jboss.snowdrop:snowdrop-deployers-vfs3:jar:2.0.3.Final-redhat-1,org.jboss.snowdrop:snowdrop-facade:jar:2.0.3.Final-redhat-1,org.jboss.snowdrop:snowdrop-module-spring-2.5:pom:2.0.3.Final-redhat-1,org.jboss.snowdrop:snowdrop-module-spring-3.1:pom:2.0.3.Final-redhat-1,org.jboss.snowdrop:snowdrop-module-spring-3:pom:2.0.3.Final-redhat-1,org.jboss.snowdrop:snowdrop-namespace:jar:2.0.3.Final-redhat-1,org.jboss.snowdrop:snowdrop:pom:2.0.3.Final-redhat-1,org.jboss.snowdrop:snowdrop-subsystem-as7-distribution:pom:2.0.3.Final-redhat-1,org.jboss.snowdrop:snowdrop-subsystem-as7:jar:2.0.3.Final-redhat-1,org.jboss.snowdrop:snowdrop-vfs:jar:2.0.3.Final-redhat-1,org.jboss.snowdrop:snowdrop-weaving:jar:2.0.3.Final-redhat-1,org.jboss.test-jsf:htmlunit-client:jar:1.1.2-redhat-1,org.jboss.test-jsf:jsf-test-jetty:jar:1.1.2-redhat-1,org.jboss.test-jsf:jsf-test-scriptunit:jar:1.1.2-redhat-1,org.richfaces.core:richfaces-core-impl:jar:4.2.2.Final-redhat-1,org.richfaces.ui.common:richfaces-ui-common-api:jar:4.2.2.Final-redhat-1,org.richfaces.ui.common:richfaces-ui-common-ui:jar:4.2.2.Final-redhat-1,org.richfaces.ui.core:richfaces-ui-core-api:jar:4.2.2.Final-redhat-1,org.richfaces.ui.core:richfaces-ui-core-ui:jar:4.2.2.Final-redhat-1,org.richfaces.ui.dnd:richfaces-ui-dnd-api:jar:4.2.2.Final-redhat-1,org.richfaces.ui.dnd:richfaces-ui-dnd-ui:jar:4.2.2.Final-redhat-1,org.richfaces.ui.input:richfaces-ui-input-api:jar:4.2.2.Final-redhat-1,org.richfaces.ui.input:richfaces-ui-input-ui:jar:4.2.2.Final-redhat-1,org.richfaces.ui.iteration:richfaces-ui-iteration-api:jar:4.2.2.Final-redhat-1,org.richfaces.ui.iteration:richfaces-ui-iteration-ui:jar:4.2.2.Final-redhat-1,org.richfaces.ui.misc:richfaces-ui-misc-ui:jar:4.2.2.Final-redhat-1,org.richfaces.ui.output:richfaces-ui-output-api:jar:4.2.2.Final-redhat-1,org.richfaces.ui.output:richfaces-ui-output-ui:jar:4.2.2.Final-redhat-1,org.richfaces.ui:richfaces-components-api:jar:4.2.2.Final-redhat-1,org.richfaces.ui:richfaces-components-ui:jar:4.2.2.Final-redhat-1,org.richfaces.ui:richfaces-ui-parent:pom:4.2.2.Final-redhat-1,org.richfaces.ui.validator:richfaces-ui-validator-api:jar:4.2.2.Final-redhat-1,org.richfaces.ui.validator:richfaces-ui-validator-ui:jar:4.2.2.Final-redhat-1,)
* com.thoughtworks.xstream:xstream:jar:1.4.1-redhat-1
     in (org.infinispan:infinispan-core:bundle:5.1.4.FINAL-redhat-1,org.infinispan:infinispan-parent:pom:5.1.4.FINAL-redhat-1,)
* hsqldb:hsqldb:jar:1.8.0.10-patch-01
     in (org.jboss.errai:errai-bus-demos-asyncdemo:war:2.0.0.Final-redhat-1,org.jboss.errai:errai-bus-demos-clientservice:war:2.0.0.Final-redhat-1,org.jboss.errai:errai-bus-demos-helloworld:war:2.0.0.Final-redhat-1,org.jboss.errai:errai-bus-demos:pom:2.0.0.Final-redhat-1,org.jboss.errai:errai-bus-demos-queryservice:war:2.0.0.Final-redhat-1,org.jboss.errai:errai-bus-demos-rpcdemo:war:2.0.0.Final-redhat-1,org.jboss.errai:errai-bus-demos-serialization:war:2.0.0.Final-redhat-1,org.jboss.errai:errai-bus-demos-stockdemo:war:2.0.0.Final-redhat-1,org.jboss.errai:errai-bus-demos-stress-test:war:2.0.0.Final-redhat-1,org.jboss.errai:errai-cdi-demo-mobile:war:2.0.0.Final-redhat-1,org.jboss.errai:errai-cdi-demo-mvp:war:2.0.0.Final-redhat-1,org.jboss.errai:errai-cdi-demo-stock:war:2.0.0.Final-redhat-1,org.jboss.errai:errai-cdi-demo-stresstest:war:2.0.0.Final-redhat-1,org.jboss.errai:errai-cdi-demo-tagcloud:war:2.0.0.Final-redhat-1,org.jboss.errai:errai-distribution:jar:2.0.0.Final-redhat-1,org.jboss.errai:errai-ioc:jar:2.0.0.Final-redhat-1,org.jboss.errai:errai-jaxrs-demo:war:2.0.0.Final-redhat-1,org.jboss.errai:errai-tools:jar:2.0.0.Final-redhat-1,)
* jboss.profiler.jvmti:jboss-profiler-jvmti:jar:1.0.0.CR5
     in (org.jboss.snowdrop:snowdrop-deployers-vfs2:jar:2.0.3.Final-redhat-1,org.jboss.snowdrop:snowdrop-deployers-vfs3:jar:2.0.3.Final-redhat-1,)
* junit:junit:jar:4.10-redhat-1
     in (org.jboss.snowdrop:snowdrop-deployers-core:jar:2.0.3.Final-redhat-1,org.jboss.snowdrop:snowdrop-deployers-vfs2:jar:2.0.3.Final-redhat-1,org.jboss.snowdrop:snowdrop-deployers-vfs3:jar:2.0.3.Final-redhat-1,org.jboss.snowdrop:snowdrop-facade:jar:2.0.3.Final-redhat-1,org.jboss.snowdrop:snowdrop-vfs:jar:2.0.3.Final-redhat-1,org.projectodd.stilts:stilts-conduit-server-core:jar:0.1.26-redhat-1,org.projectodd.stilts:stilts-conduit-server-spi:jar:0.1.26-redhat-1,org.projectodd.stilts:stilts:pom:0.1.26-redhat-1,org.projectodd.stilts:stilts-stomp-api:jar:0.1.26-redhat-1,org.projectodd.stilts:stilts-stomp-client:jar:0.1.26-redhat-1,org.projectodd.stilts:stilts-stomp-client-js:jar:0.1.26-redhat-1,org.projectodd.stilts:stilts-stomp-common:jar:0.1.26-redhat-1,org.projectodd.stilts:stilts-stomplet-api:jar:0.1.26-redhat-1,org.projectodd.stilts:stilts-stomplet-server-bundle:bundle:0.1.26-redhat-1,org.projectodd.stilts:stilts-stomplet-server-cdi:jar:0.1.26-redhat-1,org.projectodd.stilts:stilts-stomplet-server-core:jar:0.1.26-redhat-1,org.projectodd.stilts:stilts-stomp-server-core:jar:0.1.26-redhat-1,org.projectodd.stilts:stilts-stomp-server-spi:jar:0.1.26-redhat-1,org.richfaces.build.resources:faces-shade-transformers:jar:8-redhat-1,)
* net.sourceforge.nekohtml:nekohtml:jar:1.9.14-redhat-1
     in (org.jboss.test-jsf:htmlunit-client:jar:1.1.2-redhat-1,org.jboss.test-jsf:jsf-test-scriptunit:jar:1.1.2-redhat-1,org.richfaces.core:richfaces-core-impl:jar:4.2.2.Final-redhat-1,org.richfaces.ui.common:richfaces-ui-common-api:jar:4.2.2.Final-redhat-1,org.richfaces.ui.common:richfaces-ui-common-ui:jar:4.2.2.Final-redhat-1,org.richfaces.ui.core:richfaces-ui-core-api:jar:4.2.2.Final-redhat-1,org.richfaces.ui.core:richfaces-ui-core-ui:jar:4.2.2.Final-redhat-1,org.richfaces.ui.dnd:richfaces-ui-dnd-api:jar:4.2.2.Final-redhat-1,org.richfaces.ui.dnd:richfaces-ui-dnd-ui:jar:4.2.2.Final-redhat-1,org.richfaces.ui.input:richfaces-ui-input-api:jar:4.2.2.Final-redhat-1,org.richfaces.ui.input:richfaces-ui-input-ui:jar:4.2.2.Final-redhat-1,org.richfaces.ui.iteration:richfaces-ui-iteration-api:jar:4.2.2.Final-redhat-1,org.richfaces.ui.iteration:richfaces-ui-iteration-ui:jar:4.2.2.Final-redhat-1,org.richfaces.ui.misc:richfaces-ui-misc-ui:jar:4.2.2.Final-redhat-1,org.richfaces.ui.output:richfaces-ui-output-api:jar:4.2.2.Final-redhat-1,org.richfaces.ui.output:richfaces-ui-output-ui:jar:4.2.2.Final-redhat-1,org.richfaces.ui:richfaces-components-api:jar:4.2.2.Final-redhat-1,org.richfaces.ui:richfaces-components-ui:jar:4.2.2.Final-redhat-1,org.richfaces.ui:richfaces-ui-parent:pom:4.2.2.Final-redhat-1,org.richfaces.ui.validator:richfaces-ui-validator-api:jar:4.2.2.Final-redhat-1,org.richfaces.ui.validator:richfaces-ui-validator-ui:jar:4.2.2.Final-redhat-1,)
* org.apache.ant:ant:jar:1.8.3-redhat-1
     in (org.jboss.snowdrop:snowdrop-deployers-vfs2:jar:2.0.3.Final-redhat-1,org.jboss.snowdrop:snowdrop-deployers-vfs3:jar:2.0.3.Final-redhat-1,)
* org.jboss.aop:jboss-aop:jar:2.0.1.GA
     in (org.jboss.snowdrop:snowdrop-deployers-core:jar:2.0.3.Final-redhat-1,)
* org.jboss.cache:jbosscache-core:jar:3.2.8.GA
     in (org.richfaces.core:richfaces-core-impl:jar:4.2.2.Final-redhat-1,)
* org.jboss.javaee:jboss-ejb-api:jar:3.0.0.GA
     in (org.jboss.snowdrop:snowdrop-deployers-core:jar:2.0.3.Final-redhat-1,)
* org.jboss.jbossts:jbossjta:jar:4.15.1.Final
     in (org.projectodd.stilts:stilts-conduit-server-core:jar:0.1.28,org.projectodd.stilts:stilts-stomplet-server-core:jar:0.1.28,)
* org.jboss.jbossts:jbossjta:jar:4.16.2.Final-redhat-1
     in (org.projectodd.stilts:stilts-conduit-server-core:jar:0.1.26-redhat-1,org.projectodd.stilts:stilts-stomplet-server-core:jar:0.1.26-redhat-1,)
* org.jboss.kernel:jboss-dependency:jar:2.2.0.SP2
     in (org.jboss.snowdrop:snowdrop-deployers-core:jar:2.0.3.Final-redhat-1,org.jboss.snowdrop:snowdrop-facade:jar:2.0.3.Final-redhat-1,)
* org.jboss.kernel:jboss-kernel:jar:2.2.0.SP2
     in (org.jboss.snowdrop:snowdrop-deployers-core:jar:2.0.3.Final-redhat-1,org.jboss.snowdrop:snowdrop-facade:jar:2.0.3.Final-redhat-1,)
* org.jboss.naming:jnp-client:jar:5.0.5.Final-redhat-1
     in (org.infinispan:infinispan-core:bundle:5.1.3.FINAL-redhat-1,org.infinispan:infinispan-core:bundle:5.1.4.FINAL-redhat-1,)
* org.jboss.resteasy:jaxrs-api:jar:2.3.3.Final-redhat-1
     in (org.jboss.errai:errai-distribution:jar:2.0.0.Final-redhat-1,org.jboss.errai:errai-jaxrs-client:jar:2.0.0.Final-redhat-1,org.jboss.errai:errai-jaxrs-demo:war:2.0.0.Final-redhat-1,org.jboss.errai:errai-jaxrs-provider:jar:2.0.0.Final-redhat-1,)
* org.jboss.spec.javax.el:jboss-el-api_2.2_spec:jar:1.0.0.Final-redhat-1
     in (org.projectodd.stilts:stilts-stomplet-server-cdi:jar:0.1.26-redhat-1,)
* org.jboss.spec.javax.transaction:jboss-transaction-api_1.1_spec:jar:1.0.0.Final-redhat-1
     in (org.projectodd.stilts:stilts-stomp-server-spi:jar:0.1.26-redhat-1,)
* org.jboss.weld:weld-build-config:jar:1.1.8.Final-redhat-1
     in (org.jboss.errai:errai-cdi-demo-mobile:war:2.0.0.Final-redhat-1,org.jboss.errai:errai-cdi-demo-mvp:war:2.0.0.Final-redhat-1,org.jboss.errai:errai-cdi-demo-stock:war:2.0.0.Final-redhat-1,org.jboss.errai:errai-cdi-demo-stresstest:war:2.0.0.Final-redhat-1,org.jboss.errai:errai-cdi-demo-tagcloud:war:2.0.0.Final-redhat-1,org.jboss.errai:errai-distribution:jar:2.0.0.Final-redhat-1,org.jboss.errai:errai-weld-integration:jar:2.0.0.Final-redhat-1,)
* org.jfrog.jade.plugins.common:jade-plugin-common:jar:1.3.8
     in (org.jboss.errai:reflections-distribution:jar:2.0.0.Final-redhat-1,org.jboss.errai.reflections:reflections-maven:jar:2.0.0.Final-redhat-1,)
* org.jfrog.maven.annomojo:maven-plugin-anno:jar:1.4.0
     in (org.jboss.errai:reflections-distribution:jar:2.0.0.Final-redhat-1,org.jboss.errai.reflections:reflections-maven:jar:2.0.0.Final-redhat-1,)
* org.projectodd.stilts:stilts-stomp-client:jar:0.1.28
     in (org.projectodd.stilts:stilts-conduit-server-core:jar:0.1.28,org.projectodd.stilts:stilts-stomp-client-js:jar:0.1.28,org.projectodd.stilts:stilts-stomplet-server-core:jar:0.1.28,org.projectodd.stilts:stilts-stomp-server-core:jar:0.1.28,)
* org.richfaces.ui:static-resources:jar:4.2.2.Final-redhat-1
     in (org.richfaces.ui:richfaces-components-ui:jar:4.2.2.Final-redhat-1,)
* org.slf4j:slf4j-simple:jar:1.6.1-redhat-1
     in (org.richfaces.ui.validator:richfaces-ui-validator-ui:jar:4.2.2.Final-redhat-1,)
* org.testng:testng:jar:6.1.1-redhat-1
     in (org.infinispan:infinispan-core:bundle:5.1.4.FINAL-redhat-1,org.infinispan:infinispan-parent:pom:5.1.4.FINAL-redhat-1,)
* xerces:xercesImpl:jar:2.9.1-patch-01
     in (org.richfaces.cdk:generator:jar:4.2.2.Final-redhat-1,org.richfaces.cdk:maven-cdk-plugin:maven-plugin:4.2.2.Final-redhat-1,org.richfaces.core:richfaces-core-impl:jar:4.2.2.Final-redhat-1,org.richfaces.ui.common:richfaces-ui-common-api:jar:4.2.2.Final-redhat-1,org.richfaces.ui.common:richfaces-ui-common-ui:jar:4.2.2.Final-redhat-1,org.richfaces.ui.core:richfaces-ui-core-api:jar:4.2.2.Final-redhat-1,org.richfaces.ui.core:richfaces-ui-core-ui:jar:4.2.2.Final-redhat-1,org.richfaces.ui.dnd:richfaces-ui-dnd-api:jar:4.2.2.Final-redhat-1,org.richfaces.ui.dnd:richfaces-ui-dnd-ui:jar:4.2.2.Final-redhat-1,org.richfaces.ui.input:richfaces-ui-input-api:jar:4.2.2.Final-redhat-1,org.richfaces.ui.input:richfaces-ui-input-ui:jar:4.2.2.Final-redhat-1,org.richfaces.ui.iteration:richfaces-ui-iteration-api:jar:4.2.2.Final-redhat-1,org.richfaces.ui.iteration:richfaces-ui-iteration-ui:jar:4.2.2.Final-redhat-1,org.richfaces.ui.misc:richfaces-ui-misc-ui:jar:4.2.2.Final-redhat-1,org.richfaces.ui.output:richfaces-ui-output-api:jar:4.2.2.Final-redhat-1,org.richfaces.ui.output:richfaces-ui-output-ui:jar:4.2.2.Final-redhat-1,org.richfaces.ui:richfaces-components-api:jar:4.2.2.Final-redhat-1,org.richfaces.ui:richfaces-components-ui:jar:4.2.2.Final-redhat-1,org.richfaces.ui:richfaces-ui-parent:pom:4.2.2.Final-redhat-1,org.richfaces.ui.validator:richfaces-ui-validator-api:jar:4.2.2.Final-redhat-1,org.richfaces.ui.validator:richfaces-ui-validator-ui:jar:4.2.2.Final-redhat-1,)
* xmlunit:xmlunit:jar:1.3-redhat-1
     in (org.richfaces.cdk:generator:jar:4.2.2.Final-redhat-1,org.richfaces.cdk:maven-cdk-plugin:maven-plugin:4.2.2.Final-redhat-1,org.richfaces.cdk:xinclude:jar:4.2.2.Final-redhat-1,org.richfaces.ui.dnd:richfaces-ui-dnd-api:jar:4.2.2.Final-redhat-1,org.richfaces.ui.dnd:richfaces-ui-dnd-ui:jar:4.2.2.Final-redhat-1,org.richfaces.ui.input:richfaces-ui-input-ui:jar:4.2.2.Final-redhat-1,org.richfaces.ui.output:richfaces-ui-output-ui:jar:4.2.2.Final-redhat-1,)
Comment 3 Marek Novotny 2012-05-31 07:13:11 EDT
I have filed https://issues.jboss.org/browse/JBPAPP-9199 for org.jboss.resteasy:jaxrs-api:jar:2.3.3.Final-redhat-1
Comment 4 JBoss JIRA Server 2012-06-04 06:35:11 EDT
Karel Piwko <kpiwko@redhat.com> made a comment on jira JBPAPP-9199

Marek,

is this something you can fix by relocating to:

<dependency>
    <groupId>org.jboss.spec.javax.ws.rs</groupId>
    <artifactId>jboss-jaxrs-api_1.1_spec</artifactId>
    <version>1.0.1.Final-redhat-1</version>
</dependency> instead?
Comment 5 JBoss JIRA Server 2012-06-04 06:59:54 EDT
Marek Novotny <mnovotny@redhat.com> made a comment on jira JBPAPP-9199

I would do a new build of that relocation or create a temporary relocation artifact as a workaround. If that should be fixed as RELOCATION than I would expect that in EAP6 maven repository.
Comment 6 JBoss JIRA Server 2012-06-04 07:40:23 EDT
Karel Piwko <kpiwko@redhat.com> made a comment on jira JBPAPP-9199

By relocation I mean that EAP is distributing an artifact with different GAV but the very same content as org.jboss.resteasy:jaxrs-api.

This effectively means that any productized project using RESTEasy have to abandon usage of jaxrs-api my all means and depend on jboss-jaxrs-api_1.1_spec instead.
Comment 7 JBoss JIRA Server 2012-06-05 10:33:40 EDT
Vladimir Dosoudil <dosoudil@redhat.com> made a comment on jira JBPAPP-9199

The relocation jaxrs-api -> jboss-jaxrs-api_1.1_spec has been added to EAP BOMs (JBoss Component Management) with commit [857f1c1405|http://git.app.eng.bos.redhat.com/?p=jboss/jboss-component-management.git;a=commit;h=857f1c1405cd11108cff259bb571816c25daf38f] on April 25. JBoss Java EE API Specs should be used in all products.
Comment 8 JBoss JIRA Server 2012-06-05 10:52:40 EDT
Paul Gier <pgier@redhat.com> updated the status of jira JBPAPP-9199 to Resolved
Comment 9 JBoss JIRA Server 2012-06-05 10:52:40 EDT
Paul Gier <pgier@redhat.com> made a comment on jira JBPAPP-9199

Marking this as won't fix because layered products should be adjusted to use the JavaEE specs project jaxrs api.
Comment 10 Marek Novotny 2012-06-06 09:01:50 EDT
Summary: 

it seems that what is missing right now are:
org.slf4j:slf4j-simple:jar:1.6.1-redhat-1
org.jboss.javaee:jboss-ejb-api:jar:3.0.0.GA
org.jboss.aop:jboss-aop:jar:2.0.1.GA
com.google.appengine:appengine-api-labs:jar:1.3.5
com.google.appengine:appengine-api:jar:1.3.5
Comment 11 Marek Novotny 2012-06-06 13:11:46 EDT
(In reply to comment #10)
> Summary: 
> 
> it seems that what is missing right now are:
> org.slf4j:slf4j-simple:jar:1.6.1-redhat-1
> org.jboss.javaee:jboss-ejb-api:jar:3.0.0.GA
> org.jboss.aop:jboss-aop:jar:2.0.1.GA
> com.google.appengine:appengine-api-labs:jar:1.3.5
> com.google.appengine:appengine-api:jar:1.3.5

All above is added in WFK2 maven repo zip file
Comment 12 Karel Piwko 2012-06-12 10:57:39 EDT
Verified in ER8, these files are no longer missing for Maven repository.

Note You need to log in before you can comment on or make changes to this bug.